diff --git a/config/rootfiles/common/libxml2 b/config/rootfiles/common/libxml2
index 878dd4dcf..874f6cf78 100644
--- a/config/rootfiles/common/libxml2
+++ b/config/rootfiles/common/libxml2
@@ -1,62 +1,61 @@
 #usr/bin/xml2-config
 #usr/bin/xmlcatalog
 #usr/bin/xmllint
-#usr/include/libxml2
-#usr/include/libxml2/libxml
-#usr/include/libxml2/libxml/DOCBparser.h
-#usr/include/libxml2/libxml/HTMLparser.h
-#usr/include/libxml2/libxml/HTMLtree.h
-#usr/include/libxml2/libxml/SAX.h
-#usr/include/libxml2/libxml/SAX2.h
-#usr/include/libxml2/libxml/c14n.h
-#usr/include/libxml2/libxml/catalog.h
-#usr/include/libxml2/libxml/chvalid.h
-#usr/include/libxml2/libxml/debugXML.h
-#usr/include/libxml2/libxml/dict.h
-#usr/include/libxml2/libxml/encoding.h
-#usr/include/libxml2/libxml/entities.h
-#usr/include/libxml2/libxml/globals.h
-#usr/include/libxml2/libxml/hash.h
-#usr/include/libxml2/libxml/list.h
-#usr/include/libxml2/libxml/nanoftp.h
-#usr/include/libxml2/libxml/nanohttp.h
-#usr/include/libxml2/libxml/parser.h
-#usr/include/libxml2/libxml/parserInternals.h
-#usr/include/libxml2/libxml/pattern.h
-#usr/include/libxml2/libxml/relaxng.h
-#usr/include/libxml2/libxml/schemasInternals.h
-#usr/include/libxml2/libxml/schematron.h
-#usr/include/libxml2/libxml/threads.h
-#usr/include/libxml2/libxml/tree.h
-#usr/include/libxml2/libxml/uri.h
-#usr/include/libxml2/libxml/valid.h
-#usr/include/libxml2/libxml/xinclude.h
-#usr/include/libxml2/libxml/xlink.h
-#usr/include/libxml2/libxml/xmlIO.h
-#usr/include/libxml2/libxml/xmlautomata.h
-#usr/include/libxml2/libxml/xmlerror.h
-#usr/include/libxml2/libxml/xmlexports.h
-#usr/include/libxml2/libxml/xmlmemory.h
-#usr/include/libxml2/libxml/xmlmodule.h
-#usr/include/libxml2/libxml/xmlreader.h
-#usr/include/libxml2/libxml/xmlregexp.h
-#usr/include/libxml2/libxml/xmlsave.h
-#usr/include/libxml2/libxml/xmlschemas.h
-#usr/include/libxml2/libxml/xmlschemastypes.h
-#usr/include/libxml2/libxml/xmlstring.h
-#usr/include/libxml2/libxml/xmlunicode.h
-#usr/include/libxml2/libxml/xmlversion.h
-#usr/include/libxml2/libxml/xmlwriter.h
-#usr/include/libxml2/libxml/xpath.h
-#usr/include/libxml2/libxml/xpathInternals.h
-#usr/include/libxml2/libxml/xpointer.h
+#usr/include/libxml
+#usr/include/libxml/DOCBparser.h
+#usr/include/libxml/HTMLparser.h
+#usr/include/libxml/HTMLtree.h
+#usr/include/libxml/SAX.h
+#usr/include/libxml/SAX2.h
+#usr/include/libxml/c14n.h
+#usr/include/libxml/catalog.h
+#usr/include/libxml/chvalid.h
+#usr/include/libxml/debugXML.h
+#usr/include/libxml/dict.h
+#usr/include/libxml/encoding.h
+#usr/include/libxml/entities.h
+#usr/include/libxml/globals.h
+#usr/include/libxml/hash.h
+#usr/include/libxml/list.h
+#usr/include/libxml/nanoftp.h
+#usr/include/libxml/nanohttp.h
+#usr/include/libxml/parser.h
+#usr/include/libxml/parserInternals.h
+#usr/include/libxml/pattern.h
+#usr/include/libxml/relaxng.h
+#usr/include/libxml/schemasInternals.h
+#usr/include/libxml/schematron.h
+#usr/include/libxml/threads.h
+#usr/include/libxml/tree.h
+#usr/include/libxml/uri.h
+#usr/include/libxml/valid.h
+#usr/include/libxml/xinclude.h
+#usr/include/libxml/xlink.h
+#usr/include/libxml/xmlIO.h
+#usr/include/libxml/xmlautomata.h
+#usr/include/libxml/xmlerror.h
+#usr/include/libxml/xmlexports.h
+#usr/include/libxml/xmlmemory.h
+#usr/include/libxml/xmlmodule.h
+#usr/include/libxml/xmlreader.h
+#usr/include/libxml/xmlregexp.h
+#usr/include/libxml/xmlsave.h
+#usr/include/libxml/xmlschemas.h
+#usr/include/libxml/xmlschemastypes.h
+#usr/include/libxml/xmlstring.h
+#usr/include/libxml/xmlunicode.h
+#usr/include/libxml/xmlversion.h
+#usr/include/libxml/xmlwriter.h
+#usr/include/libxml/xpath.h
+#usr/include/libxml/xpathInternals.h
+#usr/include/libxml/xpointer.h
 #usr/lib/cmake
 #usr/lib/cmake/libxml2
 #usr/lib/cmake/libxml2/libxml2-config.cmake
 #usr/lib/libxml2.la
 usr/lib/libxml2.so
 usr/lib/libxml2.so.2
-usr/lib/libxml2.so.2.9.4
+usr/lib/libxml2.so.2.9.6
 #usr/lib/pkgconfig/libxml-2.0.pc
 usr/lib/python2.7/site-packages/drv_libxml2.py
 usr/lib/python2.7/site-packages/libxml2.py
@@ -64,220 +63,60 @@ usr/lib/python2.7/site-packages/libxml2.py
 usr/lib/python2.7/site-packages/libxml2mod.so
 #usr/lib/xml2Conf.sh
 #usr/share/aclocal/libxml.m4
-#usr/share/doc/libxml2-2.9.4
-#usr/share/doc/libxml2-2.9.4/Copyright
-#usr/share/doc/libxml2-2.9.4/examples
-#usr/share/doc/libxml2-2.9.4/examples/testHTML.c
-#usr/share/doc/libxml2-2.9.4/examples/testSAX.c
-#usr/share/doc/libxml2-2.9.4/examples/testXPath.c
-#usr/share/doc/libxml2-2.9.4/examples/xmllint.c
-#usr/share/doc/libxml2-2.9.4/html
-#usr/share/doc/libxml2-2.9.4/html/DOM.gif
-#usr/share/doc/libxml2-2.9.4/html/FAQ.html
-#usr/share/doc/libxml2-2.9.4/html/Libxml2-Logo-180x168.gif
-#usr/share/doc/libxml2-2.9.4/html/Libxml2-Logo-90x34.gif
-#usr/share/doc/libxml2-2.9.4/html/encoding.html
-#usr/share/doc/libxml2-2.9.4/html/examples.xml
-#usr/share/doc/libxml2-2.9.4/html/examples.xsl
-#usr/share/doc/libxml2-2.9.4/html/html
-#usr/share/doc/libxml2-2.9.4/html/html/book1.html
-#usr/share/doc/libxml2-2.9.4/html/html/home.png
-#usr/share/doc/libxml2-2.9.4/html/html/index.html
-#usr/share/doc/libxml2-2.9.4/html/html/left.png
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-DOCBparser.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-HTMLparser.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-HTMLtree.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-SAX.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-SAX2.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-c14n.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-catalog.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-chvalid.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-debugXML.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-dict.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-encoding.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-entities.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-globals.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-hash.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-lib.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-list.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-nanoftp.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-nanohttp.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-parser.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-parserInternals.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-pattern.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-relaxng.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-schemasInternals.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-schematron.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-threads.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-tree.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-uri.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-valid.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xinclude.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xlink.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlIO.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlautomata.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlerror.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlexports.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlmemory.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlmodule.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlreader.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlregexp.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlsave.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlschemas.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlschemastypes.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlstring.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlunicode.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlversion.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xmlwriter.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xpath.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xpathInternals.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xpointer.html
-#usr/share/doc/libxml2-2.9.4/html/html/libxml-xzlib.html
-#usr/share/doc/libxml2-2.9.4/html/html/right.png
-#usr/share/doc/libxml2-2.9.4/html/html/up.png
-#usr/share/doc/libxml2-2.9.4/html/index.html
-#usr/share/doc/libxml2-2.9.4/html/io1.c
-#usr/share/doc/libxml2-2.9.4/html/io1.res
-#usr/share/doc/libxml2-2.9.4/html/io2.c
-#usr/share/doc/libxml2-2.9.4/html/io2.res
-#usr/share/doc/libxml2-2.9.4/html/libxml.gif
-#usr/share/doc/libxml2-2.9.4/html/parse1.c
-#usr/share/doc/libxml2-2.9.4/html/parse2.c
-#usr/share/doc/libxml2-2.9.4/html/parse3.c
-#usr/share/doc/libxml2-2.9.4/html/parse4.c
-#usr/share/doc/libxml2-2.9.4/html/reader1.c
-#usr/share/doc/libxml2-2.9.4/html/reader1.res
-#usr/share/doc/libxml2-2.9.4/html/reader2.c
-#usr/share/doc/libxml2-2.9.4/html/reader3.c
-#usr/share/doc/libxml2-2.9.4/html/reader3.res
-#usr/share/doc/libxml2-2.9.4/html/reader4.c
-#usr/share/doc/libxml2-2.9.4/html/reader4.res
-#usr/share/doc/libxml2-2.9.4/html/redhat.gif
-#usr/share/doc/libxml2-2.9.4/html/smallfootonly.gif
-#usr/share/doc/libxml2-2.9.4/html/structure.gif
-#usr/share/doc/libxml2-2.9.4/html/test1.xml
-#usr/share/doc/libxml2-2.9.4/html/test2.xml
-#usr/share/doc/libxml2-2.9.4/html/test3.xml
-#usr/share/doc/libxml2-2.9.4/html/testWriter.c
-#usr/share/doc/libxml2-2.9.4/html/tree1.c
-#usr/share/doc/libxml2-2.9.4/html/tree1.res
-#usr/share/doc/libxml2-2.9.4/html/tree2.c
-#usr/share/doc/libxml2-2.9.4/html/tree2.res
-#usr/share/doc/libxml2-2.9.4/html/tst.xml
-#usr/share/doc/libxml2-2.9.4/html/tutorial
-#usr/share/doc/libxml2-2.9.4/html/tutorial/apa.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/apb.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/apc.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/apd.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ape.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/apf.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/apg.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/aph.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/api.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s02.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s03.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s04.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s05.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s06.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s07.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s08.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ar01s09.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/blank.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/1.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/10.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/2.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/3.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/4.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/5.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/6.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/7.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/8.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/callouts/9.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/caution.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/draft.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/home.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/important.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/next.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/note.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/prev.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/tip.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/toc-blank.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/toc-minus.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/toc-plus.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/up.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/images/warning.png
-#usr/share/doc/libxml2-2.9.4/html/tutorial/includeaddattribute.c
-#usr/share/doc/libxml2-2.9.4/html/tutorial/includeaddkeyword.c
-#usr/share/doc/libxml2-2.9.4/html/tutorial/includeconvert.c
-#usr/share/doc/libxml2-2.9.4/html/tutorial/includegetattribute.c
-#usr/share/doc/libxml2-2.9.4/html/tutorial/includekeyword.c
-#usr/share/doc/libxml2-2.9.4/html/tutorial/includexpath.c
-#usr/share/doc/libxml2-2.9.4/html/tutorial/index.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/ix01.html
-#usr/share/doc/libxml2-2.9.4/html/tutorial/xmltutorial.pdf
-#usr/share/doc/libxml2-2.9.4/html/w3c.png
-#usr/share/doc/libxml2-2.9.4/html/writer.xml
-#usr/share/doc/libxml2-2.9.4/html/xml.html
-#usr/share/doc/libxml2-2.9.4/html/xpath1.c
-#usr/share/doc/libxml2-2.9.4/html/xpath1.res
-#usr/share/doc/libxml2-2.9.4/html/xpath2.c
-#usr/share/doc/libxml2-2.9.4/html/xpath2.res
-#usr/share/doc/libxml2-python-2.9.4
-#usr/share/doc/libxml2-python-2.9.4/TODO
-#usr/share/doc/libxml2-python-2.9.4/examples
-#usr/share/doc/libxml2-python-2.9.4/examples/attribs.py
-#usr/share/doc/libxml2-python-2.9.4/examples/build.py
-#usr/share/doc/libxml2-python-2.9.4/examples/compareNodes.py
-#usr/share/doc/libxml2-python-2.9.4/examples/ctxterror.py
-#usr/share/doc/libxml2-python-2.9.4/examples/cutnpaste.py
-#usr/share/doc/libxml2-python-2.9.4/examples/dtdvalid.py
-#usr/share/doc/libxml2-python-2.9.4/examples/error.py
-#usr/share/doc/libxml2-python-2.9.4/examples/inbuf.py
-#usr/share/doc/libxml2-python-2.9.4/examples/indexes.py
-#usr/share/doc/libxml2-python-2.9.4/examples/input_callback.py
-#usr/share/doc/libxml2-python-2.9.4/examples/invalid.xml
-#usr/share/doc/libxml2-python-2.9.4/examples/nsdel.py
-#usr/share/doc/libxml2-python-2.9.4/examples/outbuf.py
-#usr/share/doc/libxml2-python-2.9.4/examples/push.py
-#usr/share/doc/libxml2-python-2.9.4/examples/pushSAX.py
-#usr/share/doc/libxml2-python-2.9.4/examples/pushSAXhtml.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader2.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader3.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader4.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader5.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader6.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader7.py
-#usr/share/doc/libxml2-python-2.9.4/examples/reader8.py
-#usr/share/doc/libxml2-python-2.9.4/examples/readererr.py
-#usr/share/doc/libxml2-python-2.9.4/examples/readernext.py
-#usr/share/doc/libxml2-python-2.9.4/examples/regexp.py
-#usr/share/doc/libxml2-python-2.9.4/examples/relaxng.py
-#usr/share/doc/libxml2-python-2.9.4/examples/resolver.py
-#usr/share/doc/libxml2-python-2.9.4/examples/schema.py
-#usr/share/doc/libxml2-python-2.9.4/examples/serialize.py
-#usr/share/doc/libxml2-python-2.9.4/examples/sync.py
-#usr/share/doc/libxml2-python-2.9.4/examples/test.dtd
-#usr/share/doc/libxml2-python-2.9.4/examples/thread2.py
-#usr/share/doc/libxml2-python-2.9.4/examples/tst.py
-#usr/share/doc/libxml2-python-2.9.4/examples/tst.xml
-#usr/share/doc/libxml2-python-2.9.4/examples/tstLastError.py
-#usr/share/doc/libxml2-python-2.9.4/examples/tstURI.py
-#usr/share/doc/libxml2-python-2.9.4/examples/tstmem.py
-#usr/share/doc/libxml2-python-2.9.4/examples/tstxpath.py
-#usr/share/doc/libxml2-python-2.9.4/examples/valid.xml
-#usr/share/doc/libxml2-python-2.9.4/examples/validDTD.py
-#usr/share/doc/libxml2-python-2.9.4/examples/validRNG.py
-#usr/share/doc/libxml2-python-2.9.4/examples/validSchemas.py
-#usr/share/doc/libxml2-python-2.9.4/examples/validate.py
-#usr/share/doc/libxml2-python-2.9.4/examples/walker.py
-#usr/share/doc/libxml2-python-2.9.4/examples/xpath.py
-#usr/share/doc/libxml2-python-2.9.4/examples/xpathext.py
-#usr/share/doc/libxml2-python-2.9.4/examples/xpathleak.py
-#usr/share/doc/libxml2-python-2.9.4/examples/xpathns.py
-#usr/share/doc/libxml2-python-2.9.4/examples/xpathret.py
+#usr/share/doc/libxml2-python-2.9.6
+#usr/share/doc/libxml2-python-2.9.6/TODO
+#usr/share/doc/libxml2-python-2.9.6/examples
+#usr/share/doc/libxml2-python-2.9.6/examples/attribs.py
+#usr/share/doc/libxml2-python-2.9.6/examples/build.py
+#usr/share/doc/libxml2-python-2.9.6/examples/compareNodes.py
+#usr/share/doc/libxml2-python-2.9.6/examples/ctxterror.py
+#usr/share/doc/libxml2-python-2.9.6/examples/cutnpaste.py
+#usr/share/doc/libxml2-python-2.9.6/examples/dtdvalid.py
+#usr/share/doc/libxml2-python-2.9.6/examples/error.py
+#usr/share/doc/libxml2-python-2.9.6/examples/inbuf.py
+#usr/share/doc/libxml2-python-2.9.6/examples/indexes.py
+#usr/share/doc/libxml2-python-2.9.6/examples/input_callback.py
+#usr/share/doc/libxml2-python-2.9.6/examples/invalid.xml
+#usr/share/doc/libxml2-python-2.9.6/examples/nsdel.py
+#usr/share/doc/libxml2-python-2.9.6/examples/outbuf.py
+#usr/share/doc/libxml2-python-2.9.6/examples/push.py
+#usr/share/doc/libxml2-python-2.9.6/examples/pushSAX.py
+#usr/share/doc/libxml2-python-2.9.6/examples/pushSAXhtml.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader2.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader3.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader4.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader5.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader6.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader7.py
+#usr/share/doc/libxml2-python-2.9.6/examples/reader8.py
+#usr/share/doc/libxml2-python-2.9.6/examples/readererr.py
+#usr/share/doc/libxml2-python-2.9.6/examples/readernext.py
+#usr/share/doc/libxml2-python-2.9.6/examples/regexp.py
+#usr/share/doc/libxml2-python-2.9.6/examples/relaxng.py
+#usr/share/doc/libxml2-python-2.9.6/examples/resolver.py
+#usr/share/doc/libxml2-python-2.9.6/examples/schema.py
+#usr/share/doc/libxml2-python-2.9.6/examples/serialize.py
+#usr/share/doc/libxml2-python-2.9.6/examples/sync.py
+#usr/share/doc/libxml2-python-2.9.6/examples/test.dtd
+#usr/share/doc/libxml2-python-2.9.6/examples/thread2.py
+#usr/share/doc/libxml2-python-2.9.6/examples/tst.py
+#usr/share/doc/libxml2-python-2.9.6/examples/tst.xml
+#usr/share/doc/libxml2-python-2.9.6/examples/tstLastError.py
+#usr/share/doc/libxml2-python-2.9.6/examples/tstURI.py
+#usr/share/doc/libxml2-python-2.9.6/examples/tstmem.py
+#usr/share/doc/libxml2-python-2.9.6/examples/tstxpath.py
+#usr/share/doc/libxml2-python-2.9.6/examples/valid.xml
+#usr/share/doc/libxml2-python-2.9.6/examples/validDTD.py
+#usr/share/doc/libxml2-python-2.9.6/examples/validRNG.py
+#usr/share/doc/libxml2-python-2.9.6/examples/validSchemas.py
+#usr/share/doc/libxml2-python-2.9.6/examples/validate.py
+#usr/share/doc/libxml2-python-2.9.6/examples/walker.py
+#usr/share/doc/libxml2-python-2.9.6/examples/xpath.py
+#usr/share/doc/libxml2-python-2.9.6/examples/xpathext.py
+#usr/share/doc/libxml2-python-2.9.6/examples/xpathleak.py
+#usr/share/doc/libxml2-python-2.9.6/examples/xpathns.py
+#usr/share/doc/libxml2-python-2.9.6/examples/xpathret.py
 #usr/share/gtk-doc
 #usr/share/gtk-doc/html
 #usr/share/gtk-doc/html/libxml2
diff --git a/lfs/libxml2 b/lfs/libxml2
index bb7e8491d..1a6e9aa58 100644
--- a/lfs/libxml2
+++ b/lfs/libxml2
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2015  Michael Tremer & Christian Schmidt                      #
+# Copyright (C) 2007-2017  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 2.9.4
+VER        = 2.9.6
 
 THISAPP    = libxml2-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -32,7 +32,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 
-CFLAGS    += -fno-strict-aliasing
+#CFLAGS    += -fno-strict-aliasing
 
 ###############################################################################
 # Top-level Rules
@@ -42,7 +42,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = ae249165c173b1ff386ee8ad676815f5
+$(DL_FILE)_MD5 = dbae8327d8471941bf0472e273473e36
 
 install : $(TARGET)
 
@@ -72,8 +72,19 @@ $(subst %,%_MD5,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && ./configure --prefix=/usr --disable-static --with-history
+	cd $(DIR_APP) && ./configure --prefix=/usr \
+			--disable-static \
+			--with-threads \
+			--with-history
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
+
+	# move header files to back to default location 
+	# the new lib takes the files into /usr/include/libxml2/libxml/
+	# some packages cannot find the header files here
+	mv -vf /usr/include/libxml2/libxml/ /usr/include/
+	rm -vdf /usr/include/libxml2/
+	# remove not needed docs
+	rm -rdf /usr/share/doc/$(THISAPP)
 	@rm -rf $(DIR_APP)
 	@$(POSTBUILD)