diff --git a/config/rootfiles/common/libxslt b/config/rootfiles/common/libxslt
index be00b2426..8cf0e92f7 100644
--- a/config/rootfiles/common/libxslt
+++ b/config/rootfiles/common/libxslt
@@ -26,132 +26,33 @@ usr/bin/xsltproc
 #usr/include/libxslt/xsltexports.h
 #usr/include/libxslt/xsltlocale.h
 #usr/include/libxslt/xsltutils.h
-#usr/lib/libexslt.a
 #usr/lib/libexslt.la
 usr/lib/libexslt.so
 usr/lib/libexslt.so.0
-usr/lib/libexslt.so.0.8.17
+usr/lib/libexslt.so.0.8.19
 #usr/lib/libxslt-plugins
-#usr/lib/libxslt.a
 #usr/lib/libxslt.la
 usr/lib/libxslt.so
 usr/lib/libxslt.so.1
-usr/lib/libxslt.so.1.1.28
+usr/lib/libxslt.so.1.1.31
 #usr/lib/pkgconfig/libexslt.pc
 #usr/lib/pkgconfig/libxslt.pc
 usr/lib/python2.7/site-packages/libxml2.pyc
 #usr/lib/python2.7/site-packages/libxslt.py
-#usr/lib/python2.7/site-packages/libxsltmod.a
 #usr/lib/python2.7/site-packages/libxsltmod.la
 usr/lib/python2.7/site-packages/libxsltmod.so
 #usr/lib/xsltConf.sh
 #usr/share/aclocal/libxslt.m4
-#usr/share/doc/libxslt-1.1.28
-#usr/share/doc/libxslt-1.1.28/html
-#usr/share/doc/libxslt-1.1.28/html/API.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk0.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk1.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk10.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk11.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk12.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk13.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk2.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk3.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk4.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk5.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk6.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk7.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk8.html
-#usr/share/doc/libxslt-1.1.28/html/APIchunk9.html
-#usr/share/doc/libxslt-1.1.28/html/APIconstructors.html
-#usr/share/doc/libxslt-1.1.28/html/APIfiles.html
-#usr/share/doc/libxslt-1.1.28/html/APIfunctions.html
-#usr/share/doc/libxslt-1.1.28/html/APIsymbols.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/APIchunk0.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/APIconstructors.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/APIfiles.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/APIfunctions.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/APIsymbols.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/bugs.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/docs.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/downloads.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/exslt.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/help.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/index.html
-#usr/share/doc/libxslt-1.1.28/html/EXSLT/intro.html
-#usr/share/doc/libxslt-1.1.28/html/FAQ.html
-#usr/share/doc/libxslt-1.1.28/html/Libxslt-Logo-180x168.gif
-#usr/share/doc/libxslt-1.1.28/html/Libxslt-Logo-90x34.gif
-#usr/share/doc/libxslt-1.1.28/html/bugs.html
-#usr/share/doc/libxslt-1.1.28/html/contexts.gif
-#usr/share/doc/libxslt-1.1.28/html/contribs.html
-#usr/share/doc/libxslt-1.1.28/html/docbook.html
-#usr/share/doc/libxslt-1.1.28/html/docs.html
-#usr/share/doc/libxslt-1.1.28/html/downloads.html
-#usr/share/doc/libxslt-1.1.28/html/extensions.html
-#usr/share/doc/libxslt-1.1.28/html/help.html
-#usr/share/doc/libxslt-1.1.28/html/html
-#usr/share/doc/libxslt-1.1.28/html/html/book1.html
-#usr/share/doc/libxslt-1.1.28/html/html/home.png
-#usr/share/doc/libxslt-1.1.28/html/html/index.html
-#usr/share/doc/libxslt-1.1.28/html/html/left.png
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-attributes.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-documents.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-extensions.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-extra.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-functions.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-imports.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-keys.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-lib.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-namespaces.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-numbersInternals.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-pattern.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-preproc.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-security.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-templates.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-transform.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-variables.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-xslt.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-xsltInternals.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-xsltexports.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-xsltlocale.html
-#usr/share/doc/libxslt-1.1.28/html/html/libxslt-xsltutils.html
-#usr/share/doc/libxslt-1.1.28/html/html/right.png
-#usr/share/doc/libxslt-1.1.28/html/html/up.png
-#usr/share/doc/libxslt-1.1.28/html/index.html
-#usr/share/doc/libxslt-1.1.28/html/internals.html
-#usr/share/doc/libxslt-1.1.28/html/intro.html
-#usr/share/doc/libxslt-1.1.28/html/news.html
-#usr/share/doc/libxslt-1.1.28/html/node.gif
-#usr/share/doc/libxslt-1.1.28/html/object.gif
-#usr/share/doc/libxslt-1.1.28/html/processing.gif
-#usr/share/doc/libxslt-1.1.28/html/python.html
-#usr/share/doc/libxslt-1.1.28/html/redhat.gif
-#usr/share/doc/libxslt-1.1.28/html/smallfootonly.gif
-#usr/share/doc/libxslt-1.1.28/html/stylesheet.gif
-#usr/share/doc/libxslt-1.1.28/html/templates.gif
-#usr/share/doc/libxslt-1.1.28/html/tutorial
-#usr/share/doc/libxslt-1.1.28/html/tutorial/libxslt_tutorial.c
-#usr/share/doc/libxslt-1.1.28/html/tutorial/libxslttutorial.html
-#usr/share/doc/libxslt-1.1.28/html/tutorial/libxslttutorial.xml
-#usr/share/doc/libxslt-1.1.28/html/tutorial2
-#usr/share/doc/libxslt-1.1.28/html/tutorial2/libxslt_pipes.c
-#usr/share/doc/libxslt-1.1.28/html/tutorial2/libxslt_pipes.html
-#usr/share/doc/libxslt-1.1.28/html/tutorial2/libxslt_pipes.xml
-#usr/share/doc/libxslt-1.1.28/html/xslt.html
-#usr/share/doc/libxslt-1.1.28/html/xsltproc.html
-#usr/share/doc/libxslt-1.1.28/html/xsltproc2.html
-#usr/share/doc/libxslt-python-1.1.28
-#usr/share/doc/libxslt-python-1.1.28/TODO
-#usr/share/doc/libxslt-python-1.1.28/examples
-#usr/share/doc/libxslt-python-1.1.28/examples/basic.py
-#usr/share/doc/libxslt-python-1.1.28/examples/exslt.py
-#usr/share/doc/libxslt-python-1.1.28/examples/extelem.py
-#usr/share/doc/libxslt-python-1.1.28/examples/extfunc.py
-#usr/share/doc/libxslt-python-1.1.28/examples/pyxsltproc.py
-#usr/share/doc/libxslt-python-1.1.28/examples/test.xml
-#usr/share/doc/libxslt-python-1.1.28/examples/test.xsl
+#usr/share/doc/libxslt-python-1.1.31
+#usr/share/doc/libxslt-python-1.1.31/TODO
+#usr/share/doc/libxslt-python-1.1.31/examples
+#usr/share/doc/libxslt-python-1.1.31/examples/basic.py
+#usr/share/doc/libxslt-python-1.1.31/examples/exslt.py
+#usr/share/doc/libxslt-python-1.1.31/examples/extelem.py
+#usr/share/doc/libxslt-python-1.1.31/examples/extfunc.py
+#usr/share/doc/libxslt-python-1.1.31/examples/pyxsltproc.py
+#usr/share/doc/libxslt-python-1.1.31/examples/test.xml
+#usr/share/doc/libxslt-python-1.1.31/examples/test.xsl
 #usr/share/man/man1/xsltproc.1
 #usr/share/man/man3/libexslt.3
 #usr/share/man/man3/libxslt.3
diff --git a/lfs/libxslt b/lfs/libxslt
index 1339f42f9..fd0bbe004 100644
--- a/lfs/libxslt
+++ b/lfs/libxslt
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2015  Michael Tremer & Christian Schmidt                      #
+# Copyright (C) 2007-2017  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 1.1.28
+VER        = 1.1.31
 
 THISAPP    = libxslt-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 9667bf6f9310b957254fdcf6596600b7
+$(DL_FILE)_MD5 = 14e9842a70fda476065f2eefcbc29af0
 
 install : $(TARGET)
 
@@ -70,8 +70,10 @@ $(subst %,%_MD5,$(objects)) :
 $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar zxf $(DIR_DL)/$(DL_FILE)
-	cd $(DIR_APP) && ./configure --prefix=/usr
+	cd $(DIR_APP) && ./configure --prefix=/usr --disable-static
 	cd $(DIR_APP) && make $(MAKETUNING)
 	cd $(DIR_APP) && make install
+	# remove not needed docs
+	rm -rdf /usr/share/doc/$(THISAPP)
 	@rm -rf $(DIR_APP)
 	@$(POSTBUILD)