diff --git a/config/rootfiles/common/tcl b/config/rootfiles/common/tcl
index c4232d244..a796e2a30 100644
--- a/config/rootfiles/common/tcl
+++ b/config/rootfiles/common/tcl
@@ -25,20 +25,20 @@ usr/bin/tclsh8.6
 #usr/include/tdbc.h
 #usr/include/tdbcDecls.h
 #usr/include/tdbcInt.h
-#usr/lib/itcl4.0.5
-usr/lib/itcl4.0.5/itcl.tcl
-usr/lib/itcl4.0.5/itclConfig.sh
-usr/lib/itcl4.0.5/itclHullCmds.tcl
-usr/lib/itcl4.0.5/itclWidget.tcl
-usr/lib/itcl4.0.5/libitcl4.0.5.so
-usr/lib/itcl4.0.5/libitclstub4.0.5.a
-usr/lib/itcl4.0.5/pkgIndex.tcl
+#usr/lib/itcl4.1.0
+usr/lib/itcl4.1.0/itcl.tcl
+usr/lib/itcl4.1.0/itclConfig.sh
+usr/lib/itcl4.1.0/itclHullCmds.tcl
+usr/lib/itcl4.1.0/itclWidget.tcl
+usr/lib/itcl4.1.0/libitcl4.1.0.so
+#usr/lib/itcl4.1.0/libitclstub4.1.0.a
+usr/lib/itcl4.1.0/pkgIndex.tcl
 usr/lib/libtcl8.6.so
 #usr/lib/libtclstub8.6.a
 #usr/lib/pkgconfig/tcl.pc
-#usr/lib/sqlite3.13.0
-usr/lib/sqlite3.13.0/libsqlite3.13.0.so
-usr/lib/sqlite3.13.0/pkgIndex.tcl
+#usr/lib/sqlite3.20.0
+usr/lib/sqlite3.20.0/libsqlite3.20.0.so
+usr/lib/sqlite3.20.0/pkgIndex.tcl
 #usr/lib/tcl8
 #usr/lib/tcl8.6
 usr/lib/tcl8.6/auto.tcl
@@ -266,41 +266,42 @@ usr/lib/tcl8.6/tclIndex
 usr/lib/tcl8.6/tm.tcl
 usr/lib/tcl8.6/word.tcl
 #usr/lib/tcl8/8.4
-usr/lib/tcl8/8.4/platform
+#usr/lib/tcl8/8.4/platform
 usr/lib/tcl8/8.4/platform-1.0.14.tm
 usr/lib/tcl8/8.4/platform/shell-1.1.4.tm
 #usr/lib/tcl8/8.5
-usr/lib/tcl8/8.5/msgcat-1.6.0.tm
-usr/lib/tcl8/8.5/tcltest-2.4.0.tm
+usr/lib/tcl8/8.5/msgcat-1.6.1.tm
+usr/lib/tcl8/8.5/tcltest-2.4.1.tm
 #usr/lib/tcl8/8.6
-usr/lib/tcl8/8.6/http-2.8.9.tm
+usr/lib/tcl8/8.6/http-2.8.11.tm
 usr/lib/tcl8/8.6/tdbc
-usr/lib/tcl8/8.6/tdbc/sqlite3-1.0.4.tm
+usr/lib/tcl8/8.6/tdbc/sqlite3-1.0.5.tm
 usr/lib/tclConfig.sh
 usr/lib/tclooConfig.sh
-#usr/lib/tdbc1.0.4
-usr/lib/tdbc1.0.4/libtdbc1.0.4.so
-usr/lib/tdbc1.0.4/libtdbcstub1.0.4.a
-usr/lib/tdbc1.0.4/pkgIndex.tcl
-usr/lib/tdbc1.0.4/tdbc.tcl
-usr/lib/tdbc1.0.4/tdbcConfig.sh
-#usr/lib/tdbcmysql1.0.4
-usr/lib/tdbcmysql1.0.4/libtdbcmysql1.0.4.so
-usr/lib/tdbcmysql1.0.4/pkgIndex.tcl
-usr/lib/tdbcmysql1.0.4/tdbcmysql.tcl
-#usr/lib/tdbcodbc1.0.4
-usr/lib/tdbcodbc1.0.4/libtdbcodbc1.0.4.so
-usr/lib/tdbcodbc1.0.4/pkgIndex.tcl
-usr/lib/tdbcodbc1.0.4/tdbcodbc.tcl
-#usr/lib/tdbcpostgres1.0.4
-usr/lib/tdbcpostgres1.0.4/libtdbcpostgres1.0.4.so
-usr/lib/tdbcpostgres1.0.4/pkgIndex.tcl
-usr/lib/tdbcpostgres1.0.4/tdbcpostgres.tcl
-#usr/lib/thread2.8.0
-usr/lib/thread2.8.0/libthread2.8.0.so
-usr/lib/thread2.8.0/pkgIndex.tcl
-usr/lib/thread2.8.0/ttrace.tcl
+#usr/lib/tdbc1.0.5
+usr/lib/tdbc1.0.5/libtdbc1.0.5.so
+usr/lib/tdbc1.0.5/libtdbcstub1.0.5.a
+usr/lib/tdbc1.0.5/pkgIndex.tcl
+usr/lib/tdbc1.0.5/tdbc.tcl
+usr/lib/tdbc1.0.5/tdbcConfig.sh
+#usr/lib/tdbcmysql1.0.5
+usr/lib/tdbcmysql1.0.5/libtdbcmysql1.0.5.so
+usr/lib/tdbcmysql1.0.5/pkgIndex.tcl
+usr/lib/tdbcmysql1.0.5/tdbcmysql.tcl
+#usr/lib/tdbcodbc1.0.5
+usr/lib/tdbcodbc1.0.5/libtdbcodbc1.0.5.so
+usr/lib/tdbcodbc1.0.5/pkgIndex.tcl
+usr/lib/tdbcodbc1.0.5/tdbcodbc.tcl
+#usr/lib/tdbcpostgres1.0.5
+usr/lib/tdbcpostgres1.0.5/libtdbcpostgres1.0.5.so
+usr/lib/tdbcpostgres1.0.5/pkgIndex.tcl
+usr/lib/tdbcpostgres1.0.5/tdbcpostgres.tcl
+#usr/lib/thread2.8.1
+usr/lib/thread2.8.1/libthread2.8.1.so
+usr/lib/thread2.8.1/pkgIndex.tcl
+usr/lib/thread2.8.1/ttrace.tcl
 #usr/man/man1/tclsh.1
+#usr/man/man3
 #usr/man/man3/TCL_MEM_DEBUG.3
 #usr/man/man3/Tcl_Access.3
 #usr/man/man3/Tcl_AddErrorInfo.3
@@ -1136,6 +1137,7 @@ usr/lib/thread2.8.0/ttrace.tcl
 #usr/share/man/mann/tdbc_mapSqlState.n
 #usr/share/man/mann/tdbc_mysql.n
 #usr/share/man/mann/tdbc_odbc.n
+#usr/share/man/mann/tdbc_postgres.n
 #usr/share/man/mann/tdbc_resultset.n
 #usr/share/man/mann/tdbc_sqlite3.n
 #usr/share/man/mann/tdbc_statement.n
diff --git a/lfs/tcl b/lfs/tcl
index 06e9e0835..910117bbd 100644
--- a/lfs/tcl
+++ b/lfs/tcl
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 8.6.6
+VER        = 8.6.7
 
 THISAPP    = tcl$(VER)
 DL_FILE    = $(THISAPP)-src.tar.gz
@@ -45,7 +45,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = 5193aea8107839a79df8ac709552ecb7
+$(DL_FILE)_MD5 = 5673aaf45b5de5d8dd80bb3daaeb8838
 
 install : $(TARGET)
 