diff --git a/config/rootfiles/packages/libvirt b/config/rootfiles/packages/libvirt
index 70cfa2257..afa167d12 100644
--- a/config/rootfiles/packages/libvirt
+++ b/config/rootfiles/packages/libvirt
@@ -31,6 +31,8 @@ etc/logrotate.d/libvirtd.libxl
 etc/logrotate.d/libvirtd.qemu
 #etc/logrotate.d/libvirtd.uml
 etc/rc.d/init.d/libvirt-guests
+etc/rc.d/init.d/libvirtd
+etc/rc.d/init.d/virtlogd
 usr/bin/virsh
 usr/bin/virt-admin
 usr/bin/virt-host-validate
@@ -55,24 +57,23 @@ usr/bin/virt-xml-validate
 #usr/include/libvirt/libvirt-stream.h
 #usr/include/libvirt/libvirt.h
 #usr/include/libvirt/virterror.h
-#usr/lib/libnss_libvirt.la
 #usr/lib/libvirt
 #usr/lib/libvirt-admin.la
 #usr/lib/libvirt-admin.so
 usr/lib/libvirt-admin.so.0
-usr/lib/libvirt-admin.so.0.3001.0
+usr/lib/libvirt-admin.so.0.4000.0
 #usr/lib/libvirt-lxc.la
 #usr/lib/libvirt-lxc.so
 usr/lib/libvirt-lxc.so.0
-usr/lib/libvirt-lxc.so.0.3001.0
+usr/lib/libvirt-lxc.so.0.4000.0
 #usr/lib/libvirt-qemu.la
 #usr/lib/libvirt-qemu.so
 usr/lib/libvirt-qemu.so.0
-usr/lib/libvirt-qemu.so.0.3001.0
+usr/lib/libvirt-qemu.so.0.4000.0
 #usr/lib/libvirt.la
 #usr/lib/libvirt.so
 usr/lib/libvirt.so.0
-usr/lib/libvirt.so.0.3001.0
+usr/lib/libvirt.so.0.4000.0
 #usr/lib/libvirt/connection-driver
 #usr/lib/libvirt/connection-driver/libvirt_driver_interface.la
 usr/lib/libvirt/connection-driver/libvirt_driver_interface.so
@@ -86,12 +87,12 @@ usr/lib/libvirt/connection-driver/libvirt_driver_qemu.so
 usr/lib/libvirt/connection-driver/libvirt_driver_secret.so
 #usr/lib/libvirt/connection-driver/libvirt_driver_storage.la
 usr/lib/libvirt/connection-driver/libvirt_driver_storage.so
-#usr/lib/libvirt/storage-backend
-usr/lib/libvirt/storage-backend/libvirt_storage_backend_fs.so
-#usr/lib/libvirt/storage-backend/libvirt_storage_backend_fs.la
 #usr/lib/libvirt/lock-driver
 #usr/lib/libvirt/lock-driver/lockd.la
 usr/lib/libvirt/lock-driver/lockd.so
+#usr/lib/libvirt/storage-backend
+#usr/lib/libvirt/storage-backend/libvirt_storage_backend_fs.la
+usr/lib/libvirt/storage-backend/libvirt_storage_backend_fs.so
 #usr/lib/pkgconfig/libvirt-admin.pc
 #usr/lib/pkgconfig/libvirt-lxc.pc
 #usr/lib/pkgconfig/libvirt-qemu.pc
@@ -115,152 +116,169 @@ usr/sbin/virtlogd
 #usr/share/augeas/lenses/tests/test_virtlogd.aug
 #usr/share/augeas/lenses/virtlockd.aug
 #usr/share/augeas/lenses/virtlogd.aug
-#usr/share/doc/libvirt-3.1.0
-#usr/share/doc/libvirt-3.1.0/html
-#usr/share/doc/libvirt-3.1.0/html/32favicon.png
-#usr/share/doc/libvirt-3.1.0/html/404.html
-#usr/share/doc/libvirt-3.1.0/html/acl.html
-#usr/share/doc/libvirt-3.1.0/html/aclpolkit.html
-#usr/share/doc/libvirt-3.1.0/html/api.html
-#usr/share/doc/libvirt-3.1.0/html/api_extension.html
-#usr/share/doc/libvirt-3.1.0/html/apps.html
-#usr/share/doc/libvirt-3.1.0/html/architecture.gif
-#usr/share/doc/libvirt-3.1.0/html/architecture.html
-#usr/share/doc/libvirt-3.1.0/html/auditlog.html
-#usr/share/doc/libvirt-3.1.0/html/auth.html
-#usr/share/doc/libvirt-3.1.0/html/bindings.html
-#usr/share/doc/libvirt-3.1.0/html/bugs.html
-#usr/share/doc/libvirt-3.1.0/html/cgroups.html
-#usr/share/doc/libvirt-3.1.0/html/compiling.html
-#usr/share/doc/libvirt-3.1.0/html/contact.html
-#usr/share/doc/libvirt-3.1.0/html/contribute.html
-#usr/share/doc/libvirt-3.1.0/html/csharp.html
-#usr/share/doc/libvirt-3.1.0/html/devguide.html
-#usr/share/doc/libvirt-3.1.0/html/docs.html
-#usr/share/doc/libvirt-3.1.0/html/downloads.html
-#usr/share/doc/libvirt-3.1.0/html/drivers.html
-#usr/share/doc/libvirt-3.1.0/html/drvbhyve.html
-#usr/share/doc/libvirt-3.1.0/html/drvesx.html
-#usr/share/doc/libvirt-3.1.0/html/drvhyperv.html
-#usr/share/doc/libvirt-3.1.0/html/drvlxc.html
-#usr/share/doc/libvirt-3.1.0/html/drvopenvz.html
-#usr/share/doc/libvirt-3.1.0/html/drvphyp.html
-#usr/share/doc/libvirt-3.1.0/html/drvqemu.html
-#usr/share/doc/libvirt-3.1.0/html/drvremote.html
-#usr/share/doc/libvirt-3.1.0/html/drvtest.html
-#usr/share/doc/libvirt-3.1.0/html/drvuml.html
-#usr/share/doc/libvirt-3.1.0/html/drvvbox.html
-#usr/share/doc/libvirt-3.1.0/html/drvvirtuozzo.html
-#usr/share/doc/libvirt-3.1.0/html/drvvmware.html
-#usr/share/doc/libvirt-3.1.0/html/drvxen.html
-#usr/share/doc/libvirt-3.1.0/html/errors.html
-#usr/share/doc/libvirt-3.1.0/html/firewall.html
-#usr/share/doc/libvirt-3.1.0/html/format.html
-#usr/share/doc/libvirt-3.1.0/html/formatcaps.html
-#usr/share/doc/libvirt-3.1.0/html/formatdomain.html
-#usr/share/doc/libvirt-3.1.0/html/formatdomaincaps.html
-#usr/share/doc/libvirt-3.1.0/html/formatnetwork.html
-#usr/share/doc/libvirt-3.1.0/html/formatnode.html
-#usr/share/doc/libvirt-3.1.0/html/formatnwfilter.html
-#usr/share/doc/libvirt-3.1.0/html/formatsecret.html
-#usr/share/doc/libvirt-3.1.0/html/formatsnapshot.html
-#usr/share/doc/libvirt-3.1.0/html/formatstorage.html
-#usr/share/doc/libvirt-3.1.0/html/formatstorageencryption.html
-#usr/share/doc/libvirt-3.1.0/html/generic.css
-#usr/share/doc/libvirt-3.1.0/html/goals.html
-#usr/share/doc/libvirt-3.1.0/html/governance.html
-#usr/share/doc/libvirt-3.1.0/html/hacking.html
-#usr/share/doc/libvirt-3.1.0/html/hooks.html
-#usr/share/doc/libvirt-3.1.0/html/html
-#usr/share/doc/libvirt-3.1.0/html/html/home.png
-#usr/share/doc/libvirt-3.1.0/html/html/index.html
-#usr/share/doc/libvirt-3.1.0/html/html/left.png
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-common.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-domain-snapshot.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-domain.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-event.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-host.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-interface.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-network.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-nodedev.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-nwfilter.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-secret.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-storage.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-libvirt-stream.html
-#usr/share/doc/libvirt-3.1.0/html/html/libvirt-virterror.html
-#usr/share/doc/libvirt-3.1.0/html/html/right.png
-#usr/share/doc/libvirt-3.1.0/html/html/up.png
-#usr/share/doc/libvirt-3.1.0/html/hvsupport.html
-#usr/share/doc/libvirt-3.1.0/html/index.html
-#usr/share/doc/libvirt-3.1.0/html/internals
-#usr/share/doc/libvirt-3.1.0/html/internals.html
-#usr/share/doc/libvirt-3.1.0/html/internals/command.html
-#usr/share/doc/libvirt-3.1.0/html/internals/eventloop.html
-#usr/share/doc/libvirt-3.1.0/html/internals/locking.html
-#usr/share/doc/libvirt-3.1.0/html/internals/oomtesting.html
-#usr/share/doc/libvirt-3.1.0/html/internals/rpc.html
-#usr/share/doc/libvirt-3.1.0/html/java.html
-#usr/share/doc/libvirt-3.1.0/html/libvirt-daemon-arch.png
-#usr/share/doc/libvirt-3.1.0/html/libvirt-driver-arch.png
-#usr/share/doc/libvirt-3.1.0/html/libvirt-object-model.png
-#usr/share/doc/libvirt-3.1.0/html/libvirt.css
-#usr/share/doc/libvirt-3.1.0/html/locking-lockd.html
-#usr/share/doc/libvirt-3.1.0/html/locking-sanlock.html
-#usr/share/doc/libvirt-3.1.0/html/locking.html
-#usr/share/doc/libvirt-3.1.0/html/logging.html
-#usr/share/doc/libvirt-3.1.0/html/logos
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-banner-dark-256.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-banner-dark-800.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-banner-dark.svg
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-banner-light-256.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-banner-light-800.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-banner-light.svg
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-base.svg
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-128.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-192.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-256.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-96.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-powered-128.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-powered-192.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-powered-256.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-powered-96.png
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square-powered.svg
-#usr/share/doc/libvirt-3.1.0/html/logos/logo-square.svg
-#usr/share/doc/libvirt-3.1.0/html/main.css
-#usr/share/doc/libvirt-3.1.0/html/migration-managed-direct.png
-#usr/share/doc/libvirt-3.1.0/html/migration-managed-p2p.png
-#usr/share/doc/libvirt-3.1.0/html/migration-native.png
-#usr/share/doc/libvirt-3.1.0/html/migration-tunnel.png
-#usr/share/doc/libvirt-3.1.0/html/migration-unmanaged-direct.png
-#usr/share/doc/libvirt-3.1.0/html/migration.html
-#usr/share/doc/libvirt-3.1.0/html/news-2005.html
-#usr/share/doc/libvirt-3.1.0/html/news-2006.html
-#usr/share/doc/libvirt-3.1.0/html/news-2007.html
-#usr/share/doc/libvirt-3.1.0/html/news-2008.html
-#usr/share/doc/libvirt-3.1.0/html/news-2009.html
-#usr/share/doc/libvirt-3.1.0/html/news-2010.html
-#usr/share/doc/libvirt-3.1.0/html/news-2011.html
-#usr/share/doc/libvirt-3.1.0/html/news-2012.html
-#usr/share/doc/libvirt-3.1.0/html/news-2013.html
-#usr/share/doc/libvirt-3.1.0/html/news-2014.html
-#usr/share/doc/libvirt-3.1.0/html/news-2015.html
-#usr/share/doc/libvirt-3.1.0/html/news-2016.html
-#usr/share/doc/libvirt-3.1.0/html/news.html
-#usr/share/doc/libvirt-3.1.0/html/node.gif
-#usr/share/doc/libvirt-3.1.0/html/nss.html
-#usr/share/doc/libvirt-3.1.0/html/php.html
-#usr/share/doc/libvirt-3.1.0/html/python.html
-#usr/share/doc/libvirt-3.1.0/html/remote.html
-#usr/share/doc/libvirt-3.1.0/html/secureusage.html
-#usr/share/doc/libvirt-3.1.0/html/securityprocess.html
-#usr/share/doc/libvirt-3.1.0/html/storage.html
-#usr/share/doc/libvirt-3.1.0/html/testapi.html
-#usr/share/doc/libvirt-3.1.0/html/testsuites.html
-#usr/share/doc/libvirt-3.1.0/html/testtck.html
-#usr/share/doc/libvirt-3.1.0/html/todo.html
-#usr/share/doc/libvirt-3.1.0/html/uri.html
-#usr/share/doc/libvirt-3.1.0/html/virshcmdref.html
-#usr/share/doc/libvirt-3.1.0/html/windows.html
+#usr/share/doc/libvirt-4.0.0
+#usr/share/doc/libvirt-4.0.0/html
+#usr/share/doc/libvirt-4.0.0/html/32favicon.png
+#usr/share/doc/libvirt-4.0.0/html/404.html
+#usr/share/doc/libvirt-4.0.0/html/acl.html
+#usr/share/doc/libvirt-4.0.0/html/aclpolkit.html
+#usr/share/doc/libvirt-4.0.0/html/api.html
+#usr/share/doc/libvirt-4.0.0/html/api_extension.html
+#usr/share/doc/libvirt-4.0.0/html/apps.html
+#usr/share/doc/libvirt-4.0.0/html/architecture.gif
+#usr/share/doc/libvirt-4.0.0/html/architecture.html
+#usr/share/doc/libvirt-4.0.0/html/auditlog.html
+#usr/share/doc/libvirt-4.0.0/html/auth.html
+#usr/share/doc/libvirt-4.0.0/html/bindings.html
+#usr/share/doc/libvirt-4.0.0/html/bugs.html
+#usr/share/doc/libvirt-4.0.0/html/cgroups.html
+#usr/share/doc/libvirt-4.0.0/html/compiling.html
+#usr/share/doc/libvirt-4.0.0/html/contact.html
+#usr/share/doc/libvirt-4.0.0/html/contribute.html
+#usr/share/doc/libvirt-4.0.0/html/csharp.html
+#usr/share/doc/libvirt-4.0.0/html/devguide.html
+#usr/share/doc/libvirt-4.0.0/html/docs.html
+#usr/share/doc/libvirt-4.0.0/html/downloads.html
+#usr/share/doc/libvirt-4.0.0/html/drivers.html
+#usr/share/doc/libvirt-4.0.0/html/drvbhyve.html
+#usr/share/doc/libvirt-4.0.0/html/drvesx.html
+#usr/share/doc/libvirt-4.0.0/html/drvhyperv.html
+#usr/share/doc/libvirt-4.0.0/html/drvlxc.html
+#usr/share/doc/libvirt-4.0.0/html/drvnodedev.html
+#usr/share/doc/libvirt-4.0.0/html/drvopenvz.html
+#usr/share/doc/libvirt-4.0.0/html/drvphyp.html
+#usr/share/doc/libvirt-4.0.0/html/drvqemu.html
+#usr/share/doc/libvirt-4.0.0/html/drvremote.html
+#usr/share/doc/libvirt-4.0.0/html/drvtest.html
+#usr/share/doc/libvirt-4.0.0/html/drvuml.html
+#usr/share/doc/libvirt-4.0.0/html/drvvbox.html
+#usr/share/doc/libvirt-4.0.0/html/drvvirtuozzo.html
+#usr/share/doc/libvirt-4.0.0/html/drvvmware.html
+#usr/share/doc/libvirt-4.0.0/html/drvxen.html
+#usr/share/doc/libvirt-4.0.0/html/errors.html
+#usr/share/doc/libvirt-4.0.0/html/firewall.html
+#usr/share/doc/libvirt-4.0.0/html/fonts
+#usr/share/doc/libvirt-4.0.0/html/fonts/LICENSE.md
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-bold-italic.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-bold.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-italic.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-light-italic.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-light.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-mono-bold.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-mono-light.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-mono-regular.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-mono-semibold.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/overpass-regular.woff
+#usr/share/doc/libvirt-4.0.0/html/fonts/stylesheet.css
+#usr/share/doc/libvirt-4.0.0/html/format.html
+#usr/share/doc/libvirt-4.0.0/html/formatcaps.html
+#usr/share/doc/libvirt-4.0.0/html/formatdomain.html
+#usr/share/doc/libvirt-4.0.0/html/formatdomaincaps.html
+#usr/share/doc/libvirt-4.0.0/html/formatnetwork.html
+#usr/share/doc/libvirt-4.0.0/html/formatnode.html
+#usr/share/doc/libvirt-4.0.0/html/formatnwfilter.html
+#usr/share/doc/libvirt-4.0.0/html/formatsecret.html
+#usr/share/doc/libvirt-4.0.0/html/formatsnapshot.html
+#usr/share/doc/libvirt-4.0.0/html/formatstorage.html
+#usr/share/doc/libvirt-4.0.0/html/formatstorageencryption.html
+#usr/share/doc/libvirt-4.0.0/html/generic.css
+#usr/share/doc/libvirt-4.0.0/html/goals.html
+#usr/share/doc/libvirt-4.0.0/html/governance.html
+#usr/share/doc/libvirt-4.0.0/html/hacking.html
+#usr/share/doc/libvirt-4.0.0/html/hooks.html
+#usr/share/doc/libvirt-4.0.0/html/html
+#usr/share/doc/libvirt-4.0.0/html/html/home.png
+#usr/share/doc/libvirt-4.0.0/html/html/index.html
+#usr/share/doc/libvirt-4.0.0/html/html/left.png
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-common.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-domain-snapshot.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-domain.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-event.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-host.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-interface.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-network.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-nodedev.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-nwfilter.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-secret.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-storage.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-libvirt-stream.html
+#usr/share/doc/libvirt-4.0.0/html/html/libvirt-virterror.html
+#usr/share/doc/libvirt-4.0.0/html/html/right.png
+#usr/share/doc/libvirt-4.0.0/html/html/up.png
+#usr/share/doc/libvirt-4.0.0/html/hvsupport.html
+#usr/share/doc/libvirt-4.0.0/html/index.html
+#usr/share/doc/libvirt-4.0.0/html/internals
+#usr/share/doc/libvirt-4.0.0/html/internals.html
+#usr/share/doc/libvirt-4.0.0/html/internals/command.html
+#usr/share/doc/libvirt-4.0.0/html/internals/eventloop.html
+#usr/share/doc/libvirt-4.0.0/html/internals/locking.html
+#usr/share/doc/libvirt-4.0.0/html/internals/oomtesting.html
+#usr/share/doc/libvirt-4.0.0/html/internals/rpc.html
+#usr/share/doc/libvirt-4.0.0/html/java.html
+#usr/share/doc/libvirt-4.0.0/html/libvirt-daemon-arch.png
+#usr/share/doc/libvirt-4.0.0/html/libvirt-driver-arch.png
+#usr/share/doc/libvirt-4.0.0/html/libvirt-object-model.png
+#usr/share/doc/libvirt-4.0.0/html/libvirt.css
+#usr/share/doc/libvirt-4.0.0/html/locking-lockd.html
+#usr/share/doc/libvirt-4.0.0/html/locking-sanlock.html
+#usr/share/doc/libvirt-4.0.0/html/locking.html
+#usr/share/doc/libvirt-4.0.0/html/logging.html
+#usr/share/doc/libvirt-4.0.0/html/logos
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-banner-dark-256.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-banner-dark-800.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-banner-dark.svg
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-banner-light-256.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-banner-light-800.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-banner-light.svg
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-base.svg
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-128.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-192.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-256.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-96.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-powered-128.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-powered-192.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-powered-256.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-powered-96.png
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square-powered.svg
+#usr/share/doc/libvirt-4.0.0/html/logos/logo-square.svg
+#usr/share/doc/libvirt-4.0.0/html/main.css
+#usr/share/doc/libvirt-4.0.0/html/migration-managed-direct.png
+#usr/share/doc/libvirt-4.0.0/html/migration-managed-p2p.png
+#usr/share/doc/libvirt-4.0.0/html/migration-native.png
+#usr/share/doc/libvirt-4.0.0/html/migration-tunnel.png
+#usr/share/doc/libvirt-4.0.0/html/migration-unmanaged-direct.png
+#usr/share/doc/libvirt-4.0.0/html/migration.html
+#usr/share/doc/libvirt-4.0.0/html/mobile.css
+#usr/share/doc/libvirt-4.0.0/html/news-2005.html
+#usr/share/doc/libvirt-4.0.0/html/news-2006.html
+#usr/share/doc/libvirt-4.0.0/html/news-2007.html
+#usr/share/doc/libvirt-4.0.0/html/news-2008.html
+#usr/share/doc/libvirt-4.0.0/html/news-2009.html
+#usr/share/doc/libvirt-4.0.0/html/news-2010.html
+#usr/share/doc/libvirt-4.0.0/html/news-2011.html
+#usr/share/doc/libvirt-4.0.0/html/news-2012.html
+#usr/share/doc/libvirt-4.0.0/html/news-2013.html
+#usr/share/doc/libvirt-4.0.0/html/news-2014.html
+#usr/share/doc/libvirt-4.0.0/html/news-2015.html
+#usr/share/doc/libvirt-4.0.0/html/news-2016.html
+#usr/share/doc/libvirt-4.0.0/html/news.html
+#usr/share/doc/libvirt-4.0.0/html/node.gif
+#usr/share/doc/libvirt-4.0.0/html/nss.html
+#usr/share/doc/libvirt-4.0.0/html/pci-hotplug.html
+#usr/share/doc/libvirt-4.0.0/html/php.html
+#usr/share/doc/libvirt-4.0.0/html/python.html
+#usr/share/doc/libvirt-4.0.0/html/remote.html
+#usr/share/doc/libvirt-4.0.0/html/secureusage.html
+#usr/share/doc/libvirt-4.0.0/html/securityprocess.html
+#usr/share/doc/libvirt-4.0.0/html/storage.html
+#usr/share/doc/libvirt-4.0.0/html/support.html
+#usr/share/doc/libvirt-4.0.0/html/testapi.html
+#usr/share/doc/libvirt-4.0.0/html/testsuites.html
+#usr/share/doc/libvirt-4.0.0/html/testtck.html
+#usr/share/doc/libvirt-4.0.0/html/todo.html
+#usr/share/doc/libvirt-4.0.0/html/uri.html
+#usr/share/doc/libvirt-4.0.0/html/virshcmdref.html
+#usr/share/doc/libvirt-4.0.0/html/windows.html
 #usr/share/gtk-doc/html/libvirt
 #usr/share/gtk-doc/html/libvirt/general.html
 #usr/share/gtk-doc/html/libvirt/home.png
@@ -302,6 +320,18 @@ usr/share/libvirt/schemas/storagevol.rng
 #usr/share/man/man1/virt-login-shell.1
 #usr/share/man/man1/virt-pki-validate.1
 #usr/share/man/man1/virt-xml-validate.1
+#usr/share/man/man7/virkeycode-atset1.7
+#usr/share/man/man7/virkeycode-atset2.7
+#usr/share/man/man7/virkeycode-atset3.7
+#usr/share/man/man7/virkeycode-linux.7
+#usr/share/man/man7/virkeycode-osx.7
+#usr/share/man/man7/virkeycode-rfb.7
+#usr/share/man/man7/virkeycode-usb.7
+#usr/share/man/man7/virkeycode-win32.7
+#usr/share/man/man7/virkeycode-xtkbd.7
+#usr/share/man/man7/virkeyname-linux.7
+#usr/share/man/man7/virkeyname-osx.7
+#usr/share/man/man7/virkeyname-win32.7
 #usr/share/man/man8/libvirtd.8
 #usr/share/man/man8/virtlockd.8
 #usr/share/man/man8/virtlogd.8
@@ -319,5 +349,4 @@ var/ipfire/backup/addons/includes/libvirt
 #var/log/libvirt/lxc
 #var/log/libvirt/qemu
 #var/log/libvirt/uml
-etc/rc.d/init.d/libvirtd
-etc/rc.d/init.d/virtlogd
+
diff --git a/lfs/libvirt b/lfs/libvirt
index 963fdf9d2..7eed40616 100644
--- a/lfs/libvirt
+++ b/lfs/libvirt
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 3.1.0
+VER        = 4.0.0
 
 THISAPP    = libvirt-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -33,7 +33,7 @@ DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 SUP_ARCH   = i586 x86_64
 PROG       = libvirt
-PAK_VER    = 13
+PAK_VER    = 14
 
 DEPS       = "libpciaccess libyajl ncat qemu"
 
@@ -45,7 +45,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = e31aa7e0a1635e72fdc140c10a677895
+$(DL_FILE)_MD5 = ff0dbdd8ec4ac1277588dfe3b245d0e9
 
 install : $(TARGET)
 check : $(patsubst %,$(DIR_CHK)/%,$(objects))