diff --git a/config/rootfiles/common/pcre b/config/rootfiles/common/pcre
index 2493447ef..8e9f22ac4 100644
--- a/config/rootfiles/common/pcre
+++ b/config/rootfiles/common/pcre
@@ -10,15 +10,15 @@
 #usr/lib/libpcre.la
 usr/lib/libpcre.so
 usr/lib/libpcre.so.1
-usr/lib/libpcre.so.1.2.9
+usr/lib/libpcre.so.1.2.10
 #usr/lib/libpcre16.la
 usr/lib/libpcre16.so
 usr/lib/libpcre16.so.0
-usr/lib/libpcre16.so.0.2.9
+usr/lib/libpcre16.so.0.2.10
 #usr/lib/libpcre32.la
 usr/lib/libpcre32.so
 usr/lib/libpcre32.so.0
-usr/lib/libpcre32.so.0.0.9
+usr/lib/libpcre32.so.0.0.10
 #usr/lib/libpcrecpp.la
 usr/lib/libpcrecpp.so
 usr/lib/libpcrecpp.so.0
@@ -26,78 +26,78 @@ usr/lib/libpcrecpp.so.0.0.1
 #usr/lib/libpcreposix.la
 usr/lib/libpcreposix.so
 usr/lib/libpcreposix.so.0
-usr/lib/libpcreposix.so.0.0.5
+usr/lib/libpcreposix.so.0.0.6
 #usr/lib/pkgconfig/libpcre.pc
 #usr/lib/pkgconfig/libpcre16.pc
 #usr/lib/pkgconfig/libpcre32.pc
 #usr/lib/pkgconfig/libpcrecpp.pc
 #usr/lib/pkgconfig/libpcreposix.pc
-#usr/share/doc/pcre-pcre-8.41
-#usr/share/doc/pcre-pcre-8.41/AUTHORS
-#usr/share/doc/pcre-pcre-8.41/COPYING
-#usr/share/doc/pcre-pcre-8.41/ChangeLog
-#usr/share/doc/pcre-pcre-8.41/LICENCE
-#usr/share/doc/pcre-pcre-8.41/NEWS
-#usr/share/doc/pcre-pcre-8.41/README
-#usr/share/doc/pcre-pcre-8.41/html
-#usr/share/doc/pcre-pcre-8.41/html/NON-AUTOTOOLS-BUILD.txt
-#usr/share/doc/pcre-pcre-8.41/html/README.txt
-#usr/share/doc/pcre-pcre-8.41/html/index.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre-config.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre16.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre32.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_assign_jit_stack.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_compile.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_compile2.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_config.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_copy_named_substring.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_copy_substring.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_dfa_exec.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_exec.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_free_study.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_free_substring.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_free_substring_list.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_fullinfo.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_get_named_substring.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_get_stringnumber.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_get_stringtable_entries.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_get_substring.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_get_substring_list.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_jit_exec.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_jit_stack_alloc.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_jit_stack_free.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_maketables.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_pattern_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_refcount.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_study.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_utf16_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_utf32_to_host_byte_order.html
-#usr/share/doc/pcre-pcre-8.41/html/pcre_version.html
-#usr/share/doc/pcre-pcre-8.41/html/pcreapi.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrebuild.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrecallout.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrecompat.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrecpp.html
-#usr/share/doc/pcre-pcre-8.41/html/pcredemo.html
-#usr/share/doc/pcre-pcre-8.41/html/pcregrep.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrejit.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrelimits.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrematching.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrepartial.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrepattern.html
-#usr/share/doc/pcre-pcre-8.41/html/pcreperform.html
-#usr/share/doc/pcre-pcre-8.41/html/pcreposix.html
-#usr/share/doc/pcre-pcre-8.41/html/pcreprecompile.html
-#usr/share/doc/pcre-pcre-8.41/html/pcresample.html
-#usr/share/doc/pcre-pcre-8.41/html/pcrestack.html
-#usr/share/doc/pcre-pcre-8.41/html/pcresyntax.html
-#usr/share/doc/pcre-pcre-8.41/html/pcretest.html
-#usr/share/doc/pcre-pcre-8.41/html/pcreunicode.html
-#usr/share/doc/pcre-pcre-8.41/pcre-config.txt
-#usr/share/doc/pcre-pcre-8.41/pcre.txt
-#usr/share/doc/pcre-pcre-8.41/pcregrep.txt
-#usr/share/doc/pcre-pcre-8.41/pcretest.txt
+#usr/share/doc/pcre-pcre-8.42
+#usr/share/doc/pcre-pcre-8.42/AUTHORS
+#usr/share/doc/pcre-pcre-8.42/COPYING
+#usr/share/doc/pcre-pcre-8.42/ChangeLog
+#usr/share/doc/pcre-pcre-8.42/LICENCE
+#usr/share/doc/pcre-pcre-8.42/NEWS
+#usr/share/doc/pcre-pcre-8.42/README
+#usr/share/doc/pcre-pcre-8.42/html
+#usr/share/doc/pcre-pcre-8.42/html/NON-AUTOTOOLS-BUILD.txt
+#usr/share/doc/pcre-pcre-8.42/html/README.txt
+#usr/share/doc/pcre-pcre-8.42/html/index.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre-config.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre16.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre32.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_assign_jit_stack.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_compile.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_compile2.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_config.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_copy_named_substring.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_copy_substring.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_dfa_exec.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_exec.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_free_study.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_free_substring.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_free_substring_list.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_fullinfo.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_get_named_substring.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_get_stringnumber.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_get_stringtable_entries.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_get_substring.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_get_substring_list.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_jit_exec.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_jit_stack_alloc.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_jit_stack_free.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_maketables.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_pattern_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_refcount.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_study.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_utf16_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_utf32_to_host_byte_order.html
+#usr/share/doc/pcre-pcre-8.42/html/pcre_version.html
+#usr/share/doc/pcre-pcre-8.42/html/pcreapi.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrebuild.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrecallout.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrecompat.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrecpp.html
+#usr/share/doc/pcre-pcre-8.42/html/pcredemo.html
+#usr/share/doc/pcre-pcre-8.42/html/pcregrep.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrejit.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrelimits.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrematching.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrepartial.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrepattern.html
+#usr/share/doc/pcre-pcre-8.42/html/pcreperform.html
+#usr/share/doc/pcre-pcre-8.42/html/pcreposix.html
+#usr/share/doc/pcre-pcre-8.42/html/pcreprecompile.html
+#usr/share/doc/pcre-pcre-8.42/html/pcresample.html
+#usr/share/doc/pcre-pcre-8.42/html/pcrestack.html
+#usr/share/doc/pcre-pcre-8.42/html/pcresyntax.html
+#usr/share/doc/pcre-pcre-8.42/html/pcretest.html
+#usr/share/doc/pcre-pcre-8.42/html/pcreunicode.html
+#usr/share/doc/pcre-pcre-8.42/pcre-config.txt
+#usr/share/doc/pcre-pcre-8.42/pcre.txt
+#usr/share/doc/pcre-pcre-8.42/pcregrep.txt
+#usr/share/doc/pcre-pcre-8.42/pcretest.txt
 #usr/share/man/man1/pcre-config.1
 #usr/share/man/man1/pcregrep.1
 #usr/share/man/man1/pcretest.1
diff --git a/lfs/pcre b/lfs/pcre
index 0b68c59d0..66b34cc30 100644
--- a/lfs/pcre
+++ b/lfs/pcre
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2017  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2018  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 8.41
+VER        = 8.42
 
 THISAPP    = pcre-$(VER)
 DL_FILE    = $(THISAPP).tar.bz2
@@ -40,7 +40,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_MD5 = c160d22723b1670447341b08c58981c1
+$(DL_FILE)_MD5 = 085b6aa253e0f91cae70b3cdbe8c1ac2
 
 install : $(TARGET)
 